services:
  _defaults:
    autowire: true

  XCart\LifetimeHook\Install:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: install, method: onInstall}
  XCart\LifetimeHook\Upgrade\UpgradeTo550build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.0.0}
  XCart\LifetimeHook\Upgrade\UpgradeTo550build8:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.0.8}
  XCart\LifetimeHook\Upgrade\UpgradeTo550build10:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.0.10}
  XCart\LifetimeHook\Upgrade\UpgradeTo551build0:
    calls:
      - [setConfig, ['%table_prefix%']]
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.0}
  XCart\LifetimeHook\Upgrade\UpgradeTo551build1:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.1}
  XCart\LifetimeHook\Upgrade\UpgradeTo551build3:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.3}
  XCart\LifetimeHook\Upgrade\UpgradeTo551build4:
    calls:
      - [setConfig, ['%table_prefix%']]
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.4}
  XCart\LifetimeHook\Upgrade\UpgradeTo551build6:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.6}
  XCart\LifetimeHook\Upgrade\UpgradeTo551build14:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.14}

  XCart\LifetimeHook\Upgrade\UpgradeTo551build18PurchaseOrderFields:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.18}

  XCart\LifetimeHook\Upgrade\UpgradeTo551build20:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.20}

  XCart\LifetimeHook\Upgrade\UpgradeTo551build23FreeShippingNote:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.23}

  XCart\LifetimeHook\Upgrade\UpgradeTo551build24UpdateLabels:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.24}

  XCart\LifetimeHook\Upgrade\UpgradeTo551build25:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.25}

  XCart\LifetimeHook\Upgrade\UpgradeTo551build26:
    tags:
      - {name: xcart.lifetime-hook, moduleId: CDev-Core, type: upgrade, method: onUpgrade, version: 5.5.1.26}
